Bug 1205242 (CVE-2015-2686) - CVE-2015-2686 kernel: sys_sendto/sys_recvfrom does not validate the user provided ubuf pointer
Summary: CVE-2015-2686 kernel: sys_sendto/sys_recvfrom does not validate the user prov...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2015-2686
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1205244 1206816 1206817
Blocks: 1205243
TreeView+ depends on / blocked
 
Reported: 2015-03-24 13:57 UTC by Vasyl Kaigorodov
Modified: 2019-12-03 03:39 UTC (History)
38 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-28 20:29:04 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2015-03-24 13:57:03 UTC
Following commit fixes a potential kernel arbitrary memory read/write:

http://git.kernel.org/cgit/linux/kernel/git/davem/net.git/commit/?id=4de930efc23b92ddf88ce91c405ee645fe6e27ea

CVE was assigned to this here: http://seclists.org/oss-sec/2015/q1/977

Comment 1 Vasyl Kaigorodov 2015-03-24 13:59:56 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1205244]

Comment 3 Petr Matousek 2015-03-28 20:29:04 UTC
Statement:

Not vulnerable.

This issue does not affect the Linux kernel packages as shipped with Red Hat Entereprise Linux 5, 6, 7 and Red Hat Enterprise MRG 2.


Note You need to log in before you can comment on or make changes to this bug.